API server
https://app.coolify.io/api/v1Restart service.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
UUID of the service.
Query Parameters
latest?boolean
Pull latest images.
Default
falseResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/services/string/restart"{ "message": "Service restaring request queued."}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}Move POST
Move service to another project/environment. This is a purely organizational change — running containers are not affected. Note: after moving, the service will pick up shared environment variables from the new environment on the next deployment.
Run service storage backup POST
Queue an immediate volume backup for a service storage that has a schedule.
